---
agentTools:
  projectIndex: https://sendinblue.readme.io/llms.txt
---

# Update a coupon collection by id

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "contact": {
      "email": "contact@brevo.com",
      "name": "Brevo Support",
      "url": "https://account.brevo.com/support"
    },
    "description": "Brevo provide a RESTFul API that can be used with any languages. With this API, you will be able to :\n  - Manage your campaigns and get the statistics\n  - Manage your contacts\n  - Send transactional Emails and SMS\n  - and much more...\n\nYou can download our wrappers at https://github.com/orgs/brevo\n**Possible responses**\n  | Code | Message |\n  | :-------------: | ------------- |\n  | 200  | OK. Successful Request  |\n  | 201  | OK. Successful Creation |\n  | 202  | OK. Request accepted |\n  | 204  | OK. Successful Update/Deletion  |\n  | 400  | Error. Bad Request  |\n  | 401  | Error. Authentication Needed  |\n  | 402  | Error. Not enough credit, plan upgrade needed  |\n  | 403  | Error. Permission denied  |\n  | 404  | Error. Object does not exist |\n  | 405  | Error. Method not allowed  |\n  | 406  | Error. Not Acceptable  |\n  | 422  | Error. Unprocessable Entity |\n",
    "license": {
      "name": "MIT",
      "url": "http://opensource.org/licenses/MIT"
    },
    "title": "Brevo API",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api.brevo.com/v3"
    }
  ],
  "security": [
    {
      "api-key": []
    },
    {
      "partner-key": []
    }
  ],
  "paths": {
    "/couponCollections/{id}": {
      "patch": {
        "operationId": "updateCouponCollection",
        "parameters": [
          {
            "description": "Id of the collection to update",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "format": "uuidv4",
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "defaultCoupon": {
                    "description": "A default coupon to be used in case there are no coupons left",
                    "example": "10 OFF",
                    "type": "string"
                  },
                  "expirationDate": {
                    "description": "Specify an expiration date for the coupon collection in RFC3339 format. Use null to remove the expiration date.",
                    "example": "2024-01-01T00:00:00Z",
                    "format": "date-time",
                    "type": "string"
                  },
                  "remainingCouponsAlert": {
                    "description": "Send a notification alert (email) when the remaining coupons count is equal or fall bellow this number. Use null to disable alerts.",
                    "example": 5,
                    "type": "integer"
                  },
                  "remainingDaysAlert": {
                    "description": "Send a notification alert (email) when the remaining days until the expiration date are equal or fall bellow this number. Use null to disable alerts.",
                    "example": 5,
                    "type": "integer"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Values to update the coupon collection"
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "defaultCoupon": {
                      "description": "The default coupon of the collection",
                      "example": "10 OFF",
                      "type": "string"
                    },
                    "id": {
                      "description": "The id of the collection",
                      "example": "23befbae-1505-47a8-bd27-e30ef739f32c",
                      "format": "uuidv4",
                      "type": "string"
                    },
                    "name": {
                      "description": "The name of the collection",
                      "example": "SummerPromotions",
                      "format": "uuidv4",
                      "type": "string"
                    }
                  },
                  "required": [
                    "id",
                    "name",
                    "defaultCoupon"
                  ],
                  "type": "object"
                }
              }
            },
            "description": "Coupon collection updated"
          },
          "400": {
            "$ref": "#/components/responses/errorModel"
          },
          "401": {
            "$ref": "#/components/responses/errorModel"
          }
        },
        "summary": "Update a coupon collection by id",
        "tags": [
          "Coupons"
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api-key": {
        "description": "The API key should be passed in the request headers as `api-key` for authentication.",
        "in": "header",
        "name": "api-key",
        "type": "apiKey"
      },
      "partner-key": {
        "description": "The partner key should be passed in the request headers as `partner-key` along with `api-key` pair for successful authentication of partner (Optional).",
        "in": "header",
        "name": "partner-key",
        "type": "apiKey"
      }
    },
    "responses": {
      "errorModel": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "code": {
                  "description": "Error code displayed in case of a failure",
                  "enum": [
                    "invalid_parameter",
                    "missing_parameter",
                    "out_of_range",
                    "campaign_processing",
                    "campaign_sent",
                    "document_not_found",
                    "not_enough_credits",
                    "permission_denied",
                    "duplicate_parameter",
                    "duplicate_request",
                    "method_not_allowed",
                    "unauthorized",
                    "account_under_validation",
                    "not_acceptable",
                    "bad_request",
                    "unprocessable_entity",
                    "Domain does not exist",
                    "Contact email not found",
                    "Attribute not found",
                    "Category id not found",
                    "Invalid parameters passed",
                    "Record(s) for identifier not found",
                    "Returned when query params are invalid",
                    "Returned when invalid data posted",
                    "Feed not found",
                    "Campaign ID not found",
                    "api-key not found",
                    "DMARC policy requires domain authentication",
                    "DNS records not properly configured",
                    "Invalid OTP code provided",
                    "OTP code has expired",
                    "Domain already exists in your account",
                    "The sum of all IP weights must equal 100",
                    "Authentication failed",
                    "Insufficient credits",
                    "Request already processed"
                  ],
                  "example": "method_not_allowed",
                  "type": "string"
                },
                "message": {
                  "description": "Readable message associated to the failure",
                  "example": "POST Method is not allowed on this path",
                  "type": "string"
                }
              },
              "required": [
                "code",
                "message"
              ],
              "type": "object"
            }
          }
        },
        "description": "bad request"
      }
    }
  },
  "x-samples-languages": [
    "curl"
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 91,
      "1": 104,
      "2": 180,
      "3": 205,
      "4": 240,
      "5": 82,
      "6": 207,
      "7": 0,
      "8": 3,
      "9": 36,
      "10": 63,
      "11": 142
    }
  }
}
```